%define anolis_release 2
Summary:        The Ogg bitstream file format library
Name:           libogg
Epoch:          2
Version:        1.3.5
Release:        %{anolis_release}%{?dist}
License:        BSD
URL:            https://www.xiph.org/

Source:         https://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  make

%description
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Files needed for development using libogg
Requires:       libogg = %{epoch}:%{version}-%{release}
Requires:       pkgconfig
Requires:       automake


%description devel
Libogg is a library used for manipulating Ogg bitstreams. The
libogg-devel package contains the header files and documentation
needed for development using libogg.


%package devel-docs
Summary:        Documentation for developing Ogg applications
BuildArch:      noarch


%description devel-docs
Documentation for developing applications with libogg


%prep
%setup -q


%build
%configure --disable-static
%make_build


%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

mv $RPM_BUILD_ROOT%{_docdir}/%{name} __installed_docs


%ldconfig_scriptlets


%files
%doc COPYING
%{_libdir}/libogg.so.0*

%files doc
%doc AUTHORS CHANGES README.md

%files devel
%dir %{_includedir}/ogg
%{_includedir}/ogg/ogg.h
%{_includedir}/ogg/os_types.h
%{_includedir}/ogg/config_types.h
%{_libdir}/libogg.so
%{_libdir}/pkgconfig/ogg.pc
%{_datadir}/aclocal/ogg.m4


%files devel-docs
%doc __installed_docs/*


%changelog
* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:1.3.5-2
- add doc package

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2:1.3.5-1
- Init from upstream version 1.3.5

